dcsimg
Results 1 to 5 of 5
  1. #1

    Thread Starter
    Hyperactive Member
    Join Date
    May 2007
    Posts
    296

    ClickOnce .NET 4.0 Prerequisite

    I have a program that works under XP just fine as long as the user has .NET 4.0 installed. I'd like to add that as a prerequisite in the ClickOnce installer. However, in the Prerequisites dialog in the Publish tab of my Project there's only .NET 3.5 and then .NET 4.5 available in the list. (No idea why 3.5 is there but not 4...)
    How can I add .NET 4.0 to the list of selectable items in the prerequisite window?
    Last edited by Meestor_X; Jan 1st, 2018 at 10:50 AM.

  2. #2
    Fanatic Member PlausiblyDamp's Avatar
    Join Date
    Dec 2016
    Location
    Newport, UK
    Posts
    803

    Re: ClickOnce .NET 4.0 Prerequisite

    https://www.microsoft.com/en-us/down....aspx?id=30653 - 4.5 is pretty much an upgraded version of 4.0 and applications that target 4.0 should work just fine on 4.5

  3. #3

    Thread Starter
    Hyperactive Member
    Join Date
    May 2007
    Posts
    296

    Re: ClickOnce .NET 4.0 Prerequisite

    3.5 does not support a lot of new functions and 4.0 is the highest supported version for XP, so making the requirement 3.5 or 4.5 is not helpful.

    Let me know if anyone figures out how to add 4.0 to the prerequisite list in the ClickOnce Prerequisites setting.
    Last edited by Meestor_X; Jan 11th, 2018 at 06:31 PM.

  4. #4

    Thread Starter
    Hyperactive Member
    Join Date
    May 2007
    Posts
    296

    Re: ClickOnce .NET 4.0 Prerequisite

    Ok, figured it out. Boy! That was hard to find, especially since it was so easy!
    https://social.msdn.microsoft.com/Fo...orum=vbgeneral

    Just copy the folder from one to the other.

  5. #5

    Thread Starter
    Hyperactive Member
    Join Date
    May 2007
    Posts
    296

    Re: ClickOnce .NET 4.0 Prerequisite

    Ok, figured it out. Boy! That was hard to find, especially since it was so easy!
    https://social.msdn.microsoft.com/Fo...orum=vbgeneral

    Just copy the folder from one to the other.
    from: C:\Program Files (x86)\Microsoft Visual Studio 14.0\SDK\Bootstrapper\Packages\DotNetFX40
    to: C:\Program Files (x86)\Microsoft SDKs\ClickOnce Bootstrapper\Packages\

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Featured


Click Here to Expand Forum to Full Width